com.buschmais.jqassistant.plugin.java.api.scanner

## Interface TypeResolver

- All Known Implementing Classes:
    AbstractTypeResolver

      public interface TypeResolver

  Defines the interface for type resolvers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends TypeDescriptor> TypeCache.CachedType<T>` | `create(String fullQualifiedName, Class<T> descriptorType, com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)` Resolve or create the descriptor for a Java type name.
    `TypeCache.CachedType<TypeDescriptor>` | `resolve(String fullQualifiedName, com.buschmais.jqassistant.core.scanner.api.ScannerContext context)` Resolve or create the descriptor for Java type name to be used as dependency.

- - ### Method Detail

    - #### create

          <T extends TypeDescriptor> TypeCache.CachedType<T> create(String fullQualifiedName,
                                                                    Class<T> descriptorType,
                                                                    com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)

      Resolve or create the descriptor for a Java type name.

      If a the descriptor already exists it will be used and migrated to the given type.

      Type Parameters:
        `T` - The expected type of the descriptor.
      Parameters:
        `fullQualifiedName` - The fully qualified type name, e.g. "java.lang.Object".
        `descriptorType` - The expected type of the descriptor.
        `scannerContext` - The scanner context.
      Returns:
        The type descriptor.

    - #### resolve

          TypeCache.CachedType<TypeDescriptor> resolve(String fullQualifiedName,
                                                       com.buschmais.jqassistant.core.scanner.api.ScannerContext context)

      Resolve or create the descriptor for Java type name to be used as dependency.
      Parameters:
        `fullQualifiedName` - The fully qualified type name, e.g. "java.lang.Object".
        `context` - The scanner context.

Copyright © 2015 buschmais GbR. All rights reserved.